# TokyoTyrantQuery::count

(No version information available, might only be in Git)

TokyoTyrantQuery::count — Counts records

### Description

public TokyoTyrantQuery::count ( void ) : int

Returns a count of how many records a query returns.

### Parameters

This function has no parameters.

### Return Values

Returns a count of matching rows and throws TokyoTyrantException on error

### Examples

Example #1 TokyoTyrantQuery::count() example

`<?php
/* Connect to a table database */
$tt = new TokyoTyrantTable("localhost", 1979);
/* Add rows */
$tt->put(null, array("column1" => "some data", "column2" => "something here"));
$tt->put(null, array("column1" => "more data", "column2" => "best data this far"));
$tt->put(null, array("column1" => "again data", "column3" => "not here"));
$tt->put(null, array("column45" => "random data", "column2" => "something along the lines"));
$tt->put(null, array("column21" => "test data", "column2" => "generating.."));
$tt->put(null, array("column1" => "foobar data", "column2" => "value here"));
/* Get a new query object */
$query = $tt->getQuery();
/* Add a search condition */
$query->addCond("column2", TokyoTyrant::RDBQC_STROR, "something");
/* Count the results */
var_dump($query->count());
?>`

The above example will output:

    int(2)

### See Also

- TokyoTyrantQuery::out() - Removes records based on query
- TokyoTyrantQuery::search() - Searches records
- TokyoTyrantQuery::metaSearch() - Retrieve records with multiple queries